net.sourceforge.pmd.ant

## Class PMDTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sourceforge.pmd.ant.PMDTask

All Implemented Interfaces:
  Cloneable

    public class PMDTask
    extends org.apache.tools.ant.Task

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`PMDTask()`

### Method Summary

Methods
`void` `addConfiguredSourceLanguage(SourceLanguage version)`
`void` `addFileset(org.apache.tools.ant.types.FileSet set)`
`void` `addFormatter(Formatter f)`
`void` `addRuleset(RuleSetWrapper r)`
`org.apache.tools.ant.types.Path` `createAuxClasspath()`
`org.apache.tools.ant.types.Path` `createClasspath()`
`void` `execute()`
`org.apache.tools.ant.types.Path` `getAuxClasspath()`
`org.apache.tools.ant.types.Path` `getClasspath()`
`void` `setAuxClasspath(org.apache.tools.ant.types.Path auxClasspath)`
`void` `setAuxClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` `setClasspath(org.apache.tools.ant.types.Path classpath)`
`void` `setClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` `setEncoding(String sourceEncoding)`
`void` `setFailOnError(boolean fail)`
`void` `setFailOnRuleViolation(boolean fail)`
`void` `setFailuresPropertyName(String failuresPropertyName)`
`void` `setMaxRuleViolations(int max)`
`void` `setMinimumPriority(int minPriority)`
`void` `setRuleSetFiles(String ruleSets)`
`void` `setShortFilenames(boolean reportShortNames)`
`void` `setSuppressMarker(String suppressMarker)`
`void` `setThreads(int threads)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PMDTask

    public PMDTask()

### Method Detail

#### setShortFilenames

    public void setShortFilenames(boolean reportShortNames)

#### setSuppressMarker

    public void setSuppressMarker(String suppressMarker)

#### setFailOnError

    public void setFailOnError(boolean fail)

#### setFailOnRuleViolation

    public void setFailOnRuleViolation(boolean fail)

#### setMaxRuleViolations

    public void setMaxRuleViolations(int max)

#### setRuleSetFiles

    public void setRuleSetFiles(String ruleSets)

#### setEncoding

    public void setEncoding(String sourceEncoding)

#### setThreads

    public void setThreads(int threads)

#### setFailuresPropertyName

    public void setFailuresPropertyName(String failuresPropertyName)

#### setMinimumPriority

    public void setMinimumPriority(int minPriority)

#### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

#### addFormatter

    public void addFormatter(Formatter f)

#### addConfiguredSourceLanguage

    public void addConfiguredSourceLanguage(SourceLanguage version)

#### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classpath)

#### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

#### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

#### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

#### setAuxClasspath

    public void setAuxClasspath(org.apache.tools.ant.types.Path auxClasspath)

#### getAuxClasspath

    public org.apache.tools.ant.types.Path getAuxClasspath()

#### createAuxClasspath

    public org.apache.tools.ant.types.Path createAuxClasspath()

#### setAuxClasspathRef

    public void setAuxClasspathRef(org.apache.tools.ant.types.Reference r)

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

#### addRuleset

    public void addRuleset(RuleSetWrapper r)